# The Book

- Overview
  - What is Rsyslog?
  - Message flow in rsyslog
    - Input
    - Message Transformation
    - Output
      - Output format: Templates
- Installing and configuring Rsyslog
  - Installing from packages
  - Installing from sources
- Create your first Rsyslog setup
- Configuration format
  - RainerScript format
  - Legacy configuration format (deprecated)
  - Why is there two different formats?
- Input: from where come the logs
- Output
  - What should be logged
    - Message properties
    - System properties
    - Variables
    - Functions
    - Transformation Modules
  - When should be logged
    - Filter Conditions
    - Rulesets
  - How should be logged
    - RainerScript templates
    - Legacy format templates
    - Properties in templates
    - Conditionally choosing a template
  - Where should be send: Output Modules
- Queues: prepare for the worst
  - What are queues?
    - In-memory queues
    - Disk queues
    - Disk-assisted queues
  - Main message queue
  - Action queues
- Security
  - Securing your setup
  - Dropping privileges
- Extending rsyslog
  - Native plugins
  - External plugins

See also

Help with configuring/using `Rsyslog`:

- Mailing list - best route for general questions

- GitHub: rsyslog source project - detailed questions, reporting issues that are believed to be bugs with `Rsyslog`

- Stack Exchange (View, Ask) - experimental support from rsyslog community

See also

Contributing to `Rsyslog`:

- Source project: rsyslog project README.

- Documentation: rsyslog-doc project README

Copyright 2008-2020 Rainer Gerhards (Großrinderfeld), and Others.